package com.oguerreiro.resilient.security.custom;

public class ResilientSecurityContext {
  private final Object targetInstance;
  private final String targetMethodName;
  private final Object[] targetArgs;

  public ResilientSecurityContext(Object targetInstance, String targetMethodName, Object[] targetArgs) {
    this.targetInstance = targetInstance;
    this.targetMethodName = targetMethodName;
    this.targetArgs = targetArgs;
  }

  public Object getTargetInstance() {
    return this.targetInstance;
  }

  public String getTargetMethodName() {
    return this.targetMethodName;
  }

  public Object[] getTargetArgs() {
    return this.targetArgs;
  }
}
